Subject: bug#18786: closed (Re: bug#18786: (error "Attempt to modify read-only object" (("\\.txz\\'" . tar-mode))) on adding mode)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 21 Oct 2014 18:03:02 +0000

Your bug report

#18786: (error "Attempt to modify read-only object" (("\\.txz\\'" . tar-mode))) on adding mode

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
18786: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=18786
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#18786: (error "Attempt to modify read-only object" (("\\.txz\\'" . tar-mode))) on adding mode
From: Stefan Monnier <[email-masked]>
To: [email-masked]
Date: Tue, 21 Oct 2014 14:02:37 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

> Thanks for the pointer!

You're welcome, closed,

        Stefan

Subject: (error "Attempt to modify read-only object" (("\\.txz\\'" . tar-mode))) on adding mode
From: Boyan Penkov <[email-masked]>
To: [email-masked]
Date: Tue, 21 Oct 2014 09:34:10 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hey folks,

I have a bunch of stuff like: 

    (nconc auto-mode-alist '(("\\.ctl" . scheme-mode))))

in my .emacs.  

When I launch emacs, the complaint is:

error: Attempt to modify read-only object, ((\.txz\' . tar-mode))

Clearing all the auto-mode-alist additions clears this error, by pulling them out of the .emacs.  Can anybody explain what is going on?

This has emerged after upgrading last night to 24.4 using both http://emacsformacosx.com/ and compiling for myself via homebrew.  I’m on Mac OS 10.10 Yosemite.

Please let me know how to help debug this.

Cheers!

--
Boyan Penkov
www.boyanpenkov.com